cURL
curl --request PATCH \
--url https://cockroachlabs.cloud/api/v1/folders/{folder_id} \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--json '{"name":"folder_name","parent_id":"12345678-1234-1234-1234-123456789012"}'{
"name": "<string>",
"organization_id": "<string>",
"parent_id": "<string>",
"path": [
{
"id": "<string>",
"name": "<string>"
}
],
"resource_id": "<string>",
"resource_type": "FOLDER"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Can be used by the following roles assigned at the organization or folder scope:
- FOLDER_ADMIN
- FOLDER_MOVER
PATCH
/
api
/
v1
/
folders
/
{folder_id}
cURL
curl --request PATCH \
--url https://cockroachlabs.cloud/api/v1/folders/{folder_id} \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--json '{"name":"folder_name","parent_id":"12345678-1234-1234-1234-123456789012"}'{
"name": "<string>",
"organization_id": "<string>",
"parent_id": "<string>",
"path": [
{
"id": "<string>",
"name": "<string>"
}
],
"resource_id": "<string>",
"resource_type": "FOLDER"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}This endpoint is in Preview and subject to change. Refer to the API support policy for more details.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
A successful response.
FolderResource describes a resource, and includes info about its lineage (parent/ancestors).
name is the resource's name.
organization_id is the id of the organization this resource belongs to.
parent_id is the id of the resource's parent folder. "root" represents a root level resource.
path contains the ids and names of ancestors that make up the resource's lineage.
Show child attributes
Show child attributes
resource_id is the resource's id.
Available options:
FOLDER, CLUSTER 
